## flash-kernel 3.107

=== debian/changelog ===
flash-kernel (3.107) unstable; urgency=medium

  [ Lubomir Rintel ]
  * Make the OLPC XO-1.75 boot script a bit more forgiving

  [ Heinrich Schuchardt ]
  * db: add Lenovo Miix 630 and Lenovo Yoga C630

  [ Alexandre Ghiti ]
  * Add the StarFive VisionFive board to the database.
  * Add D1 SoC boards to the database

  [ Johannes Schauer Marin Rodrigues ]
  * Choose a stable temporary file path for ucf

  [ Dave Jones ]
  * Add QEMU-related "dummy" entries

  [ Daniel Serpell ]
  * Add A20-OLinuXino_MICRO-eMMC. (Closes: #1019881)

  [ Heinrich Schuchardt ]
  * db: add Lenovo ThinkPad X13s

  [ Francesco Dolcini ]
  * Add machine db entries for Colibri iMX6ULL eMMC

  [ Heinrich Schuchardt ]
  * db: add 'Raspberry Pi 3 Model B Plus Rev 1.3'

  [ Isaac True ]
  * Skip EFI detection mechanism when the FK_IGNORE_EFI environment
    variable is set to "yes". (Closes: #1033737)

  [ Vagrant Cascadian ]
  * Set the value of FK_IGNORE_EFI from
    /etc/flash-kernel/ignore-efi. (Closes: #1033737)

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 19 Apr 2023 14:12:53 -0700
