## flash-kernel 3.107pureos3

=== debian/changelog ===
flash-kernel (3.107pureos3) crimson; urgency=medium

  * bootscr.uboot-generic: Prefer DTB symlink if it exists

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 29 Aug 2025 18:01:59 +0200

flash-kernel (3.107pureos2) crimson; urgency=high

  * Remove duplicate Librem 5r4 resulting from upstream merge

 -- Jonathon Hall <jonathon.hall@puri.sm>  Wed, 25 Jun 2025 09:20:51 -0400

flash-kernel (3.107pureos1) crimson; urgency=medium

  * Sync with Debian bookworm

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Thu, 31 Oct 2024 07:19:45 +0100

flash-kernel (3.104pureos1) byzantium; urgency=medium

  * Sync with Debian Bullseye

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sat, 10 Jun 2023 02:54:54 +0200

flash-kernel (3.102.0pureos7) byzantium; urgency=medium

  [ Dorota Czaplejewicz ]
  * Attempt to enforce initrd

  [ Sebastian Krzyszkowiak ]
  * test: Add Boot-Initrd-Required to expected fields

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Tue, 21 Mar 2023 11:25:09 +0100

flash-kernel (3.102.0pureos6) byzantium; urgency=medium

  * Revert "d/control: Add breaks on compressed 5.16 kernels"
    This would otherwise force 5.16 older than 5.16.0-1pureos2 off the
    system as it can't be upraded due to it being removed from the archive
    when 5.17 enters.
    This reverts commit 57c06f68293e4e761bbb2e162ee05fd1b0beabbe.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 12 Apr 2022 17:08:37 +0200

flash-kernel (3.102.0pureos5) byzantium; urgency=medium

  * This switches to booting /boot/vmlinuz-<version> and
    /boot/initrd.img-<version> rather than /boot/{vmlinuz,initrd.img}
  * Revert "funtions: Decompress kernel to vmlinuz"
    We want to avoid this since it makes roll backs to older kernel versions
    harder and wastes space (not so much due to the kernel but more due to
    the initramfs and the backup files).
    This reverts commit 58b67e3fe7eb38530cdd2365bff48ecbc7d53dbe.
  * db: Drop initrd and vmlinuz paths.
    We should use the versioned ones. This requires the kernel to
    be stored uncompressed.
    Closes: https://source.puri.sm/Librem5/flash-kernel/-/issues/3
  * d/control: Add breaks on compressed kernels.
    Kernels 5.16.7pureos2 are uncompressed. Make sure the package that pulls
    in new kernel versions gets updated with us so we're sure boot.scr finds
    the uncompressed /boot/vmlinuz-5.16.0-1-librem5.
  * d/control: Add breaks on compressed 5.16 kernels.
    This is to avoid that people do a partial upgrade of
    linux-image-5.16.0-1-librem5 but not linux-image-librem5. While this
    wouldn't break booting (as the old flash-kernel copes with uncompressed
    kernels just fine) it also wouldn't free any space.
    We need to drop this patch once 5.17.0-1 gets uploaded to prevent issues
    when people have 5.16.0-1pureos1 (compressed kernel) installed and
    update to 5.17 while 5.16.0-1pureos2 was already removed from the
    archive as this would force 5.16.0-1pureos1 of the system *or* prevent
    the upgrade.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 09 Feb 2022 11:54:46 +0100

flash-kernel (3.102.0pureos4) byzantium; urgency=medium

  * cmdline: Enable plymouth splash and disable blinking cursor by default

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Wed, 25 Aug 2021 04:34:54 +0200

flash-kernel (3.102.0pureos3) byzantium; urgency=medium

  * Add gbp.conf
  * Drop debconf support.
    The current logic uses debconf as a registry which is a bug
    since it always gives priority what's stored there making
    it impossible to update unmodified conf files.
    This makes the flash-kernel-installer udeb pretty useless
    but we're not using d-i anyway.
  * d/rules: Enable fsck.repair and apparmor

 -- Guido Günther <agx@sigxcpu.org>  Thu, 15 Jul 2021 15:07:04 +0200

flash-kernel (3.102.0pureos2) byzantium; urgency=medium

  * Add Librem5 Evergreen

 -- Guido Günther <agx@sigxcpu.org>  Tue, 08 Dec 2020 12:37:57 +0100

flash-kernel (3.102.0pureos1) byzantium; urgency=high

  [ Alexandre GRIVEAUX ]
  * Adding Pine64 RockPro64 machines
    - Adding Pine64 RockPro64
    - Adding Pine64 RockPro64 v2.0
    - Adding Pine64 RockPro64 v2.1

  [ Guido Günther ]
  * Add Librem5r2 and r3.
    This adds the support for the Librem 5's Birch/Chestnut (r2) and Dogwood
    revisions.
  * funtions: Tell user which platform is unsupported.
    Print the checked machine in the error messages. This helps when users
    report errors or when flash-kernel runs in an image build machinery and
    the machine type is passed in via FK_MACHINE.
  * librem5: Add vendor prefix.
    This is similar to 451cf2ae2331355b94c457c90cc7c0ac42022157.
  * db: Allow any kernel for L5 devkifor L5 devkifor L5 devkifor L5 devki.
    Only until we switched to Debian's kernel.
  * d/control: Drop devio.
    This eases cross building
  * db: Add initrd and kernel path for L5 devkit.
    Can be dropped once we use Debian's (uncompressed) kernel directly
  * funtions: Decompress kernel to vmlinuz
    `make bindeb-pkg` produces a compressed kernel so make sure
    it gets uncompressed. This can also be dropped once we switch
    to Debian's kernel.

  [ Vagrant Cascadian ]
  * Fix sort order of Librem 5 boards.

  [ He Yangxuan ]
  * Add support for PHICOMM N1

  [ Andre Heider ]
  * Fix missing vendor subdirs for arm64 boards (Closes: #969515).
    The subdir is required for installing the fdt file to the correct path,
    which is a prerequisite for a boot loader provided $fdtfile.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 21 Sep 2020 13:17:33 +0200
