=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
          mtd-utils,
          ucf
 Recommends: u-boot-tools
+Breaks: linux-image-librem5 (<< 5.16.7pureos2~),
 Description: utility to make certain embedded devices bootable
  flash-kernel is a script which will put the kernel and initramfs in
  the boot location of embedded devices that don't load the kernel and
