=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,13 @@
 #! /usr/bin/make -f
 
-AUTOGEN_DEB_FILES := flash-kernel.templates flash-kernel-installer.postinst default/flash-kernel
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+AUTOGEN_DEB_FILES := flash-kernel-installer.postinst default/flash-kernel
 
 ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
 DEFAULT_CMDLINE := quiet splash
 else
-DEFAULT_CMDLINE := quiet
+DEFAULT_CMDLINE := quiet fsck.repair=yes security=apparmor splash plymouth.ignore-serial-consoles vt.global_cursor_default=0
 endif
 
 override_dh_auto_install:
