## flash-kernel 3.107ubuntu2.1

=== debian/changelog ===
flash-kernel (3.107ubuntu2.1) mantic; urgency=medium

  [ Talha Can Havadar ]
  * Add support for Xilinx Kria KD240 (LP: #2037407)
    - Fix minor issues in bootscr.zynqmp

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Mon, 15 Jan 2024 10:38:38 +0000

flash-kernel (3.107ubuntu2) mantic; urgency=medium

  * Use generic-revision catch-alls for each model rather than relying on a
    single Pi catch-all to avoid a confusing selection of "the one DTB" for a
    given board (even though all other DTBs will still be copied anyway)
    (LP: #2038087)
    - Add missing Pi Zero 2W entry
    - Add missing Pi 5B entry

 -- Dave Jones <dave.jones@canonical.com>  Mon, 02 Oct 2023 12:59:44 +0100

flash-kernel (3.107ubuntu1) mantic; urgency=medium

  [ Dave Jones ]
  * Merge from Debian unstable (LP: #2024672). Remaining changes:
    - Add support for QCT APQ8064 CDP
      - Add support for QCT APQ8064 CDP; thanks Alfonso Sanchez-Beato.
    - Add support for Calxeda Highbank
      - Add support for Calxeda Highbank (with bootscr.highbank different from
        Debian's version)
      - bootscr.highbank: allow more space to load larger kernels
    - Add support for Nexus 4 (Mako)
      - Enabling support for mako (Nexus 4)
    - Add support for Marvell ArmadaXP
      - Re-add support for Marvell ArmadaXP
      - Fix armadaxp kernel load address
    - Add support for Samsung Exynos 5440 platforms
      - Add support for EXYNOS5440-based platforms
    - Add generic-lpae to the XB-Subarchitecture list in debian/control
    - debian/flash-kernel-installer.isinstallable: add arm*/generic-lpae
    - Add support for HP ProLiant m400 cartridges
      - Add support for HP ProLiant m400 Server Cartridges
      - HP Moonshot Cartridges: Use $baudrate from u-boot environment as
        serial console speed
      - HP Moonshot Cartridges: Enable hardware flow control as required by
        the HP moonshot chassis
      - Enable U-Boot environment support for X-Gene platforms
      - Use filesystem agnostic "load" command instead of assuming ext4
      - Add a bootscript specific to X-Gene Mustang boards since they need to
        pull their dtb from the OS.
    - Add support for OMAP3 and OMAP4 boards
      - add DB entry for "OMAP3 Beagle Board" (funnily thats missing)
      - add Panda to the list of supported board in the README file
      - debian/control: Re-add omap and omap4 to the flash-kernel-installer
        XB-Subarchitecture field. These appear to have been lost somewhere
        along the way.
      - Also add omap and omap4 to flash-kernel-installer.isinstallable.
      - switch omap3 and omap4 to uEnv.txt/preEnv.txt (the former holds all
        active boot commands, the latter holds the kernel commandline only)
      - switch omap3 and omap4 from Bootloader-sets-root: no to yes, we now
        generate a root=UUID= line on the fly for arches using
        uEnv.txt/preEnv.txt
      - introduce bootscript/uEnvtxt.omap
      - do not move the original uEnvtxt.omap to the target, use a copy
        instead
      - add "quiet splash" as default options to omap bootscr
    - enable UUID detection of the currently used root device
    - if uEnv.txt is defined in the db for an arch, generate preEnv.txt from
      UBOOT_DEFAULTS and UUID detection data
    - make sure blkid only gives us the UUID and not any other metadata like
      labels or filesystem
    - hide the boot device from udisk's automounting after installation on all
      systems using uEnv.txt to configure u-boot
    - make sure we only rename the bootrom partition so udisks hides it, when
      using mkdosfs for setting the label like we did in jasper (where we
      cached the contents before doing this) MLO and u-boot.bin are gone
    - Add support for grouper boards
      - add support for the grouper architecture
    - Add support for Wandboard Quad
      - Wandboard: Use /dev/disk/by-path/platform-2198000.usdhc-part1 instead
        of the hardcoded mmcblk1p1, this should make things work on boards
        with just a single microSD card in.
      - Add basic support for WandBoard Quad.
    - Add support for AAarch64 Qualcomm laptops.
      - Fix AARCH64 qcom laptop names, to those accepted upstream and in the
        Ubuntu kernel.
    - Add support for Raspberry Pi 2, 3, 3+, CM3, CM3+, and 4 using a unified
      bootscript (replaces upstream's entries)
      - Update pi bootscript to support all flash-kernel vars, including
        calculated devtype and partition for future USB boot support
      - Install all potential uboot scripts [previously undocumented]
      - Add entry for Raspberry Pi 3A+
      - Add entry for Raspberry Pi CM4
      - Add entry for Raspberry Pi 400
      - Import UC20 updates to the rpi bootscript from the snappy-dev/image
        PPA
    - Add Kernel-Flavors check to Raspberry Pi entries
      - Support "raspi" kernel flavor
    - make sure that if we dont want to override the bootloader root= option
      by setting "Bootloader-sets-root: yes", we actually dont do it
    - Update tests with new fields: Bootloader-sets-root
    - use umount -l in the cleanup function, else we fail while finishing up
      with the script
    - add a diversion for update-initramfs to live-installers post-base-
      installer.d to avoid update-initramfs runs before flash-kernel is
      configured
    - add a check for the diverted update-initramfs to flash-kernel-installer,
      so it gets reverted before we try to call update-initramfs
    - make post-base-installer.d/01flash-kernel-diversion actually an
      executable shell script
    - make sure that /dev is bind mounted in /target when running update-
      initramfs from flash-kernel-installer, else we do not find the boot
      media (this is only a workaround, actual fixing of the netinst
      environment is needed to fix this properly)
    - drop the "|| true" from the initramfs building code, if we fail here we

