## flash-kernel 3.107ubuntu8

=== debian/changelog ===
flash-kernel (3.107ubuntu8) noble; urgency=medium

  * db/all.db: Fix Raspberry Pi 2 entry for noble. Here we can assume it is
    definitely the 64-bit revision (1.2) board, but this change must not
    be backported earlier than noble where this assumption does not hold
    (LP: #2060856)

 -- Dave Jones <dave.jones@canonical.com>  Wed, 10 Apr 2024 22:40:05 +0100

flash-kernel (3.107ubuntu7) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:57:37 +0200

flash-kernel (3.107ubuntu6) noble; urgency=medium

  * Add Milk-V Mars to database (LP: #2053028)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 23 Feb 2024 16:10:56 +0100

flash-kernel (3.107ubuntu5) noble; urgency=medium

  [ Juerg Haefliger ]
  * Remove raspi-nolpae kernel flavor from all Pi boards (LP: #2048864)
  * Add raspi-realtime kernel flavor to bcm2711 and bcm2712 based Pi boards
    (LP: #2051960)

  [ Talha Can Havadar ]
  * Update Xilinx board support (LP: #2054556)
    - Remove support claim for Xilinx ZCU111
    - Add new machine entries for KV260 and KR260 due to model string changes
    - Create separate bootscript for AMD-Xilinx Kria board family

 -- Dave Jones <dave.jones@canonical.com>  Thu, 22 Feb 2024 15:29:21 +0000

flash-kernel (3.107ubuntu4) noble; urgency=medium

  * Add support for Xilinx Kria KD240 (LP: #2037407)
    - Fix minor issues in bootscr.zynqmp

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Fri, 08 Dec 2023 14:17:40 +0000

flash-kernel (3.107ubuntu3) noble; urgency=medium

  * Use LC_ALL= instead of LANG= for consistency (LP: #2007827)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 10 Nov 2023 09:39:34 +0200
