=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: flash-kernel
 Section: utils
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Vagrant Cascadian <vagrant@debian.org>,
            Karsten Merker <merker@debian.org>
 Build-Depends: debhelper-compat (= 13), devio, linux-base (>= 3.2), dash
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/installer-team/flash-kernel
 Vcs-Git: https://salsa.debian.org/installer-team/flash-kernel.git
 Rules-Requires-Root: no
@@ -15,11 +16,11 @@
 Depends: ${misc:Depends},
          devio,
          initramfs-tools (>= 0.92f),
+         systemd,
          linux-base (>= 3.2),
          mtd-utils,
-         ucf
+         ucf,
 Recommends: u-boot-tools
-Breaks: linux-image-librem5 (<< 5.16.7pureos2~),
 Description: utility to make certain embedded devices bootable
  flash-kernel is a script which will put the kernel and initramfs in
  the boot location of embedded devices that don't load the kernel and
@@ -33,7 +34,7 @@
 Package-Type: udeb
 Build-Profiles: <!noudeb>
 Architecture: arm64 armel armhf riscv64
-XB-Subarchitecture: kirkwood orion5x s3c24xx mx5 generic
+XB-Subarchitecture: armadaxp exynos5 generic-lpae kirkwood orion5x s3c24xx mx5 omap omap4 xgene generic
 Provides: bootable-system
 Depends: cdebconf-udeb, installed-base
 XB-Installer-Menu-Item: 7300
