=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,11 @@
 #! /usr/bin/make -f
 
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-
-AUTOGEN_DEB_FILES := flash-kernel-installer.postinst default/flash-kernel
+AUTOGEN_DEB_FILES := flash-kernel.templates flash-kernel-installer.postinst default/flash-kernel
 
 ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
 DEFAULT_CMDLINE := quiet splash
 else
-DEFAULT_CMDLINE := quiet fsck.repair=yes security=apparmor splash plymouth.ignore-serial-consoles vt.global_cursor_default=0
+DEFAULT_CMDLINE := quiet
 endif
 
 override_dh_auto_install:
@@ -19,13 +17,20 @@
 	install -m0755 -p -d debian/flash-kernel/etc/flash-kernel/bootscript
 	set -ex ; for arch in all $(DEB_HOST_ARCH) ; do \
 		[ -d bootscript/$${arch} ] || continue ; \
-		install -m0644 bootscript/$${arch}/bootscr.* \
+		install -m0644 bootscript/$${arch}/* \
 			debian/flash-kernel/etc/flash-kernel/bootscript/ ; \
 	done
 ifeq (armhf,$(DEB_HOST_ARCH))
 	install -m0644 bootscript/$(DEB_HOST_ARCH)/olpc.fth \
 		debian/flash-kernel/etc/flash-kernel/bootscript/
 endif
+
+	install -m0755 -p -d debian/flash-kernel/usr/share/flash-kernel/its
+	set -ex ; for arch in all $(DEB_HOST_ARCH) ; do \
+		[ -d its/$${arch} ] || continue ; \
+		install -m0644 its/$${arch}/* \
+			debian/flash-kernel/usr/share/flash-kernel/its/ ; \
+	done
 
 	dh_auto_install
