## flash-kernel 3.107ubuntu9~24.04.3

=== debian/changelog ===
flash-kernel (3.107ubuntu9~24.04.3) noble; urgency=medium

  * Add dtb-probe script to handle missing bcm2710-rpi-zero-2-w.dtb in some of
    the 5.15 series kernels (LP: #2078525)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 10 Sep 2024 16:32:47 +0100

flash-kernel (3.107ubuntu9~24.04.2) noble; urgency=medium

  * db/all.db: Support for Qualcomm x1e80100 CRD board (LP: #2065380)

 -- Ike Panhc <ike.pan@canonical.com>  Mon, 22 Jul 2024 16:46:49 +0800

flash-kernel (3.107ubuntu9~24.04.1) noble; urgency=medium

  * db/all.db: Add Microchip PIC64GX Curiosity Kit (LP: #2072500)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 08 Jul 2024 16:00:03 +0200
