## flash-kernel 3.107ubuntu13~24.04.2

=== debian/changelog ===
flash-kernel (3.107ubuntu13~24.04.2) noble; urgency=medium

  [ Heinrich Schuchardt ]
  * db/all.db: Add more RISC-V boards (LP: #2093200)
    - Add entry for DeepComputing FML13V01
    - Add entry for Pine64 Star64

  [ Dave Jones ]
  * db/all.db: Add entry for Raspberry Pi 500 (LP: #2092216)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 23 Jan 2025 15:40:01 +0000
