## flash-kernel 3.107ubuntu13~24.04.4

=== debian/changelog ===
flash-kernel (3.107ubuntu13~24.04.4) noble; urgency=medium

  * db/all.db: Add CM5 Lite to flash-kernel database (LP: #2097008)

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Mon, 05 May 2025 13:58:00 +0530

flash-kernel (3.107ubuntu13~24.04.3) noble; urgency=medium

  * db/all.db: Fix entries with "Kernel-Flavors: arm64". (LP: #2092737)

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Mon, 05 May 2025 13:56:32 +0530
