## flash-kernel 3.107ubuntu13~24.04.5

=== debian/changelog ===
flash-kernel (3.107ubuntu13~24.04.5) noble; urgency=medium

  [ Heinrich Schuchardt ]
  * db/all.db: Add entry for DeepComputing FML13V03 (LP: #2116161)

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Jul 2025 11:18:38 +0100
