## flash-kernel 3.107ubuntu13~24.04.6

=== debian/changelog ===
flash-kernel (3.107ubuntu13~24.04.6) noble; urgency=medium

  [ Heinrich Schuchardt ]
  * Add StarFive VisionFive 2 Lite, Milk-V Mars CM and Milk-V Mars CM Lite to
    database (LP: #2132298)

  [ Dave Jones ]
  * db/all.db: Removed duplicated entry for Lenovo ThinkPad X13s
    (LP: #2134398)
  * test_db: Added test to guard against future duplicates; also copied
    alphabetical test from d/rules so it can easily run during development

 -- Dave Jones <dave.jones@canonical.com>  Mon, 26 Jan 2026 15:00:37 +0000
