## flash-kernel 3.107ubuntu14

=== debian/changelog ===
flash-kernel (3.107ubuntu14) plucky; urgency=medium

  * Add Asus Vivobook S 15
  * Add Dell XPS 13 9345
  * Add HP Omnibook X 14
  * Add Lenovo Thinkpad T14s Gen6
  * Add Lenovo Yoga Slim 7x
  * Add Microsoft Surface Laptop 7 variants
  * Add Samsung Galaxy Book4 Edge

 -- Tobias Heider <tobias.heider@canonical.com>  Sat, 16 Nov 2024 23:20:01 +0100

flash-kernel (3.107ubuntu13) plucky; urgency=medium

  [ Talha Can Havadar ]
  * Add support for AMD-Xilinx Kria noble kernel (LP: #2069802)
    - bootscript/arm64/bootscr.zynqmp.kria: Update cma value
      - CMA value of 1G at start address of 0 is not working with Ubuntu noble
        optimized kernel on ZynqMP Kria K26 platforms
    - db/all.db: change kernel-flavor for Kria platforms in noble because of
      the kernel name change
    - its/arm64/image-kria.its: use new device-tree file names

  [ Heinrich Schuchardt ]
  * db/all.db: add HiFive Premier P550 to database (LP: #2077981)

  [ Dave Jones ]
  * db/all.db: add CM5 entry (LP: #2086774)

 -- Dave Jones <dave.jones@canonical.com>  Wed, 06 Nov 2024 13:39:21 +0000
