## flash-kernel 3.108

=== debian/changelog ===
flash-kernel (3.108) unstable; urgency=medium

  [ Manfred Stock ]
  * Add Radxa ROCK 4C+

  [ Alban Browaeys ]
  * db: remove armmp-lpae from Odroid U3 definition

  [ James Addison ]
  * Add support for Raspberry Pi 400 Rev 1.0

  [ Sascha Silbe ]
  * Add support for BeagleBoard.org BeagleBone AI-64 (Closes: #1036457)

  [ Manuel Traut ]
  * Add machine db entry for Colibri iMX6 Evalboard

  [ JiaLing Zhang ]
  * Add loong64 to supported binary architectures
    (Closes: #1050156, #1059960)

  [ Juerg Haefliger ]
  * Don't run if machine is 'none'

  [ Francesco Dolcini ]
  * Add machine db entries for Colibri iMX7 eMMC

  [ Heinrich Schuchardt ]
  * db: add Sipeed Lichee Pi 4A (Closes: #1060292)
  * db: add StarFive VisionFive 2 v1.2A and v1.3B
  * db: add Sipeed Lichee RV Dock
  * functions: support kernel named vmlinux-* (Closes: #1069869)
  * all.db: add Milk-V Mars

  [ Josua Mayer ]
  * Add machine db entry for lx2162 clearfog (Closes: #1076085)
  * Add machine db entries for solidrun cn9130 based platforms
    (Closes: #1076085)

  [ David Gibson ]
  * Include essential btrfs mount options for root mount

  [ Vagrant Cascadian ]
  * db/all.db: Fix sort order.
  * debian/control: Update to Standards-Version 4.7.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 17 Jul 2024 13:19:31 -0700
