=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: flash-kernel
 Section: utils
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Vagrant Cascadian <vagrant@debian.org>,
            Karsten Merker <merker@debian.org>
 Build-Depends: debhelper-compat (= 13), devio, linux-base (>= 3.2), dash
@@ -15,9 +16,10 @@
 Depends: ${misc:Depends},
          devio,
          initramfs-tools (>= 0.92f),
+         systemd,
          linux-base (>= 3.2),
          mtd-utils,
-         ucf
+         ucf,
 Recommends: u-boot-tools
 Description: utility to make certain embedded devices bootable
  flash-kernel is a script which will put the kernel and initramfs in
