## flash-kernel 3.108ubuntu2

=== debian/changelog ===
flash-kernel (3.108ubuntu2) plucky; urgency=medium

  * Prevent removal of flash-kernel on switch to dracut (LP: #2100618)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 21 Mar 2025 13:41:50 +0000
