## flash-kernel 3.108ubuntu2.2

=== debian/changelog ===
flash-kernel (3.108ubuntu2.2) plucky; urgency=medium

  * db/all.db: Add CM5 Lite to flash-kernel database (LP: #2097008)

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Mon, 05 May 2025 13:44:03 +0530

flash-kernel (3.108ubuntu2.1) plucky; urgency=medium

  * db/all.db: Fix entries with "Kernel-Flavors: arm64". (LP: #2092737)

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Mon, 05 May 2025 13:41:57 +0530
