## flash-kernel 3.108ubuntu2.3

=== debian/changelog ===
flash-kernel (3.108ubuntu2.3) plucky; urgency=medium

  [ Heinrich Schuchardt ]
  * db/all.db: Add entry for DeepComputing FML13V03 (LP: #2116161)

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Jul 2025 11:15:35 +0100
