=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Architecture: arm64 armel armhf riscv64 loong64
 Depends: ${misc:Depends},
          devio,
-         initramfs-tools (>= 0.92f),
+         initramfs-tools (>= 0.92f) | dracut (>= 106-2ubuntu2~),
          systemd,
          linux-base (>= 3.2),
          mtd-utils,
