## flash-kernel 3.109

=== debian/changelog ===
flash-kernel (3.109) unstable; urgency=medium

  [ Heinrich Schuchardt ]
  * flash-kernel.8: describe /etc/default/flash-kernel

  [ D-I role ]
  * [l10n]  Commit changed/added po files (from l10n-sync run at dillon)

  [ Vagrant Cascadian ]
  * Add Pine64 Pinebook.

  [ Johannes Schauer Marin Rodrigues ]
  * add support for MNT Reform 2 with RCORE RK3588 Module

  [ Josua Mayer ]
  * Add machine db entries for solidrun am64 based hummingboard-t

  [ Alex Lowe ]
  * db: add Pine64 Star64 (Closes: #1092359)

  [ Heinrich Schuchardt ]
  * db: add entry for Wandboard rev D1 board

  [ Tobias Heider ]
  * Add X Elite devices:
    HP Omnibook X 14
    Lenovo Yoga Slim 7x
    Asus Vivobook S 15
    Dell XPS 13 9345
    Lenovo Thinkpad T14s Gen6
    Microsoft Surface Laptop 7 variants

  [ Vagrant Cascadian ]
  * flash-kernel.8: Fix spelling of "command".
  * debian/control: Update Standards-Version to 4.7.2.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 08 Apr 2025 15:56:42 -0700
