=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: flash-kernel
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Vagrant Cascadian <vagrant@debian.org>,
            Karsten Merker <merker@debian.org>
 Build-Depends: debhelper-compat (= 13), devio, linux-base (>= 3.2), dash
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/installer-team/flash-kernel
 Vcs-Git: https://salsa.debian.org/installer-team/flash-kernel.git
 Rules-Requires-Root: no
@@ -15,11 +14,10 @@
 Architecture: arm64 armel armhf riscv64 loong64
 Depends: ${misc:Depends},
          devio,
-         initramfs-tools (>= 0.92f) | dracut (>= 106-2ubuntu2~),
-         systemd,
+         initramfs-tools (>= 0.92f),
          linux-base (>= 3.2),
          mtd-utils,
-         ucf,
+         ucf
 Recommends: u-boot-tools
 Description: utility to make certain embedded devices bootable
  flash-kernel is a script which will put the kernel and initramfs in
